Platform ManagementAdd Platform

Add Platform

Add the platform of a publish stream

curl -X POST "https://api.5centscdn.com/v2/streams/publish/1001/platforms" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "platform": [
    {
      "name": "My Platform",
      "rtmp": "rtmp://a.rtmp.youtube.com/live2",
      "key": "5t1d-hvka-50ga-7dj0-38h0",
      "auth": false,
      "username": "myusername",
      "password": "mypassword",
      "schedule": "instant",
      "scheduletime": "08:00:00",
      "length": "01:00:00",
      "vprofiles": [
        12345
      ],
      "aprofiles": [
        12345
      ],
      "filters": [
        3,
        4
      ],
      "ltc": 1,
      "autostop": 0
    }
  ]
}'
{
  "result": "success",
  "message": "Platform Created",
  "errors": [],
  "warnings": [],
  "stream": "null"
}
POST
/streams/publish/{streamid}/platforms
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

streamidstring
Required

Stream ID

Example:
1001

Body

application/json
platformarray

Responses

resultstring

Status of the API response.

messagestring

Human-readable message describing the result.

errorsstring[]

Errors returned with the response.

warningsstring[]

Non-fatal warnings returned with the response.

streamstring